Double Free

Affecting curl package, versions <7.51.0

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

The libcurl API function called curl_maprintf() before version 7.51.0 can be tricked into doing a double-free due to an unsafe size_t multiplication, on systems using 32 bit size_t variables.

References

CVSS Score

9.8
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
CVE
CVE-2016-8618
CWE
CWE-415 CWE-416
Snyk ID
SNYK-ALPINE310-CURL-454410
Disclosed
31 Jul, 2018
Published
27 Jun, 2018